<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <style>
        body {
            padding-top: 150px;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            min-height: 100vh;
            min-width: 100vw;
            max-width: 150%;
            overflow-x: hidden;
            font-family: 'Noto Sans JP', sans-serif;
        }
    </style>

    {% block additionalHeaders %}

    {% endblock %}

    <!-- Font Awesome Icons -->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">

    <!--Fontawesome CDN-->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">

    <!-- Plugin CSS -->
    <link href="vendor/magnific-popup/magnific-popup.css" rel="stylesheet">

    <!-- Theme CSS - Includes Bootstrap -->

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>

</head>

<body id="page-top">
    <!-- Navigation Bar-->
    <nav class="navbar fixed-top navbar-expand-lg navbar-light py-3" id="mainNav">
    <div class="container">
        {% if not request.session.role == "admin" and not request.session.role == "pemain" %}
          <a class="navbar-brand js-scroll-trigger" href="{% url 'home' %}">The Cims</a>
          <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
          </button>
        {% endif %}

        {% if request.session.role == "admin" or request.session.role == "pemain" %}
        <a class="navbar-brand js-scroll-trigger" href="{% url 'profile' %}">The Cims</a>
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul class="navbar-nav ml-auto my-2 my-lg-0">

                  <li class="nav-item dropdown">
                      <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Tokoh</a>
                      <div class="dropdown-menu" aria-labelledby="navbarDropdown">

                        {% if request.session.role == "pemain" %}
                            <a class="dropdown-item" href="/tokoh/create">Buat Tokoh</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>

                        <a class="dropdown-item" href="/tokoh/read">List Tokoh</a>
                        <div class="dropdown-divider"></div>

                        {% if request.session.role == "admin" %}
                            <a class="dropdown-item" href="{% url 'create-warna-kulit' %}">Buat Warna Kulit</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>

                        <a class="dropdown-item" href="{% url 'read-warna-kulit' %}">List Warna Kulit</a>
                        <div class="dropdown-divider"></div>

                        {% if request.session.role == "admin" %}
                            <a class="dropdown-item" href="{% url 'create-level' %}">Buat Level</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>

                        <a class="dropdown-item" href="{% url 'read-level' %}">List Level</a>
                      </div>
                  </li>

                  <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Pekerjaan</a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        
                        {% if request.session.role == "admin" %}
                            <a class="dropdown-item" href="{% url 'create-pekerjaan' %}">Buat Pekerjaan</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>

                        <a class="dropdown-item" href="{% url 'read-pekerjaan' %}">List Pekerjaan</a>
                        <div class="dropdown-divider"></div>

                        {% if request.session.role == "pemain" %}
                            <a class="dropdown-item" href="{% url 'create-bekerja' %}">Buat Bekerja</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>

                        <a class="dropdown-item" href="{% url 'read-bekerja' %}">List Bekerja</a>
                        </div>
                  </li>

                  <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Misi</a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        
                        {% if request.session.role == "admin" %}
                            <a class="dropdown-item" href="/misi_utama/create">Buat Misi Utama</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>

                        <a class="dropdown-item" href="/misi_utama/read">List Misi Utama</a>
                        <div class="dropdown-divider"></div>

                        {% if request.session.role == "pemain" %}
                            <a class="dropdown-item" href="/menjalankan_misi_utama/create/">Buat Menjalankan Misi Utama</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>
                        
                        {% if request.session.role == "pemain" %}
                        <a class="dropdown-item" href="/menjalankan_misi_utama/read-pemain">List Menjalankan Misi Utama</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>

                        {% if request.session.role == "admin" %}
                        <a class="dropdown-item" href="/menjalankan_misi_utama/read-admin">List Menjalankan Misi Utama</a>
                        {% endif %}
                        </div>
                  </li>

                  <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Makan</a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    
                    {% if request.session.role == "admin" %}
                        <a class="dropdown-item" href="/makanan/create">Buat Makanan</a>
                    {% endif %}
                    <div class="dropdown-divider"></div>

                    <a class="dropdown-item" href="/makanan/read">List Makanan</a>
                    <div class="dropdown-divider"></div>

                    {% if request.session.role == "pemain" %}
                        <a class="dropdown-item" href="/makan/create">Buat Makan</a>
                    {% endif %}
                    <div class="dropdown-divider"></div>

                    {% if request.session.role == "admin" %}
                    <a class="dropdown-item" href="/makan/read-admin">List Makan</a>
                    {% endif %}
                    <div class="dropdown-divider"></div>

                    {% if request.session.role == "pemain" %}
                    <a class="dropdown-item" href="/makan/read-pemain">List Makan</a>
                    {% endif %}
                    </div>
              </li>

                  <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Koleksi</a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        
                        {% if request.session.role == "admin" %}
                            <a class="dropdown-item" href="/koleksi/create/">Buat Koleksi</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>

                        <a class="dropdown-item" href="/koleksi/read/">List Koleksi</a>
                        <div class="dropdown-divider"></div>

                        {% if request.session.role == "admin" %}
                            <a class="dropdown-item" href="/kategori_apparel/create/">Buat Koleksi Apparel</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>

                        <a class="dropdown-item" href="/kategori_apparel/read/">List Koleksi Apparel</a>
                        <div class="dropdown-divider"></div>

                        {% if request.session.role == "pemain" %}
                            <a class="dropdown-item" href="/koleksi_tokoh/create/">Buat Koleksi Tokoh</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>

                        <a class="dropdown-item" href="/koleksi_tokoh/read/">List Koleksi Tokoh</a>
                        </div>
                  </li>

                  <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Penggunaan</a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        
                        {% if request.session.role == "pemain" %}
                            <a class="dropdown-item" href="/menggunakan_apparel/create">Buat Menggunakan Apparel</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>

                        <a class="dropdown-item" href="/menggunakan_apparel">List Menggunakan Apparel</a>
                        <div class="dropdown-divider"></div>

                        {% if request.session.role == "pemain" %}
                            <a class="dropdown-item" href="{% url 'create-menggunakan-barang' %}">Buat Menggunakan Barang</a>
                        {% endif %}
                        <div class="dropdown-divider"></div>

                        <a class="dropdown-item" href="{% url 'read-menggunakan-barang' %}">List Menggunakan Barang</a>
                        <div class="dropdown-divider"></div>
                        </div>
                  </li>

                  <li class="nav-item">
                      <a class="nav-link js-scroll-trigger" href="{% url 'logout' %}">Logout</a>
                  </li>

              </ul>
              {% endif %}
          </div>
      </div>
    </nav>

    {% block content %}

    {% endblock %}
</body>
